<?php

/*
released by Kengo Okuda
Ver1.00 2021/09/29
*/
function sendEmail($strEmailTo, $strEmailSubject, $strEmailBody, $arrayAttachedFiles = NULL){
	
	if ($strEmailTo != ""){
		
		//言語の設定
		mb_language("ja");
		mb_internal_encoding("UTF-8");
		
		$objQdmail = new Qdmail();
		$objQdmail->smtp(FALSE);
		
		if (!is_null($arrayAttachedFiles)){
			$objQdmail->attach($arrayAttachedFiles);
		}
		
		$param = array(
			"host"=>QDMAIL_SERVER_NAME, 
			"port"=>QDMAIL_PORT_NUMBER, 
			"from"=>array(QDMAIL_FROM_ADDRESS, mb_convert_kana(QDMAIL_FROM_ADDRESS, "KASCV", "UTF-8")), 
			"protocol"=>QDMAIL_PROTOCOL, 
			"user"=>QDMAIL_ACCOUNT, 
			"pass"=>QDMAIL_PASSWORD, 
			);
		$objQdmail->smtpServer($param);
		
		$objQdmail->to($strEmailTo, mb_convert_kana($strEmailTo, "KASCV", "UTF-8"));
		$objQdmail->subject($strEmailSubject);
		$objQdmail->from(QDMAIL_FROM_ADDRESS, mb_convert_kana(QDMAIL_FROM_ADDRESS, "KASCV", "UTF-8"));
		if (mb_substr($strEmailBody, 0, 6, "UTF-8") == "<html>"){
			$objQdmail->html($strEmailBody);
		} else {
			$objQdmail->text($strEmailBody);
		}
		
		if ($objQdmail->send()){
			return "";
		} else {
			return $mail->errorStatment(false);
		}
	} else {
		return "Email To address is empty.";
	}
}
?>
